# Struct ethcore_ipc_tests::service::Service [−] [src]

    pub struct Service {
        pub commits: RwLock<usize>,
        pub rollbacks: RwLock<usize>,
    }

## Fields

`commits: RwLock<usize>` `rollbacks: RwLock<usize>`

## Methods

### `impl Service`
[src]

#### `fn rollback(&self, a: Option<u32>, b: u32) -> i32`

#### `fn push_custom(&self, data: CustomData) -> bool`

#### `fn void(&self, a: u64)`

### `impl Service`
[src]

#### `fn new() -> Service`

## Trait Implementations

### `impl IpcInterface for Service`
[src]

#### `fn dispatch<R>(&self, r: &mut R) -> Vec<u8> where R: Read`

reads the message from io, dispatches the call and returns serialized result

#### `fn dispatch_buf(&self, method_num: u16, buf: &[u8]) -> Vec<u8>`

deserializes the payload from buffer, dispatches invoke and returns serialized result (for non-blocking io) Read more

### `impl IpcConfig for Service`
[src]

#### `fn api_version() -> Version`

Current service api version Should be increased if any of the methods changes signature Read more

#### `fn protocol_version() -> Version`

Current ipc protocol version Should be increased only if signature of system methods changes Read more

#### `fn handshake(handshake: &Handshake) -> bool`

Default handshake requires exact versions match

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)